unit Unit1;

interface

uses
  Classes, SysUtils, IWAppForm, IWApplication, IWColor, IWTypes, Controls,
  IWVCLBaseControl, IWBaseControl, IWBaseHTMLControl, IWControl, IWIPhoneMenu,
  IWIPhoneTrackbar, IWIPhonePhoneLabel, IWIPhoneSMSLabel, IWIPhoneEmailLabel,
  IWCompLabel, IWExtCtrls, IWIPhoneList, IWIPhoneHeader, Forms,
  IWVCLBaseContainer, IWContainer, IWHTMLContainer, IWHTML40Container, IWRegion,
  IWIPhonePageFlip, IWCompEdit, IWIPhoneButton, IWIPhoneStyle,
  IWIPhoneOnOffButton, DB, ADODB, IWIPhoneRegion, Variants,
  IWIPhoneLocationLabel, IWIPhoneScrollRegion, IWIPhoneGeolocation,
  IWIPhoneSpinner, IWIPhonePopup, StrUtils;

type
  TIWForm1 = class(TIWAppForm)
    TIWIPhoneMenu1: TTIWIPhoneMenu;
    TIWIPhoneStyle1: TTIWIPhoneStyle;
    ADOConnection1: TADOConnection;
    ADOQuery1: TADOQuery;
    DataSource1: TDataSource;
    RegionStats: TTIWIPhoneRegion;
    HeaderStats: TTIWIPhoneHeader;
    ListStats: TTIWIPhoneList;
    RegionSettings: TTIWIPhoneRegion;
    TIWIPhoneHeader1: TTIWIPhoneHeader;
    IWLabel2: TIWLabel;
    LabelImages: TIWLabel;
    LabelDetails: TIWLabel;
    IWLabel4: TIWLabel;
    OnOffImages: TTIWIPhoneOnOffButton;
    OnOffDetails: TTIWIPhoneOnOffButton;
    OnOffRounded: TTIWIPhoneOnOffButton;
    ButtonSave: TTIWIPhoneButton;
    RegionSplit: TTIWIPhoneRegion;
    RegionModels: TTIWIPhoneRegion;
    ListModels: TTIWIPhoneList;
    HeaderModels: TTIWIPhoneHeader;
    RegionModelDetail: TTIWIPhoneRegion;
    HeaderModelDetail: TTIWIPhoneHeader;
    TIWIPhoneScrollRegion1: TTIWIPhoneScrollRegion;
    IWLabel5: TIWLabel;
    LabelBio: TIWLabel;
    TIWIPhoneGeolocation1: TTIWIPhoneGeolocation;
    LabelName: TIWLabel;
    IWImageFile1: TIWImageFile;
    TIWIPhoneEmailLabel1: TTIWIPhoneEmailLabel;
    EditEmail: TIWEdit;
    TIWIPhonePhoneLabel1: TTIWIPhonePhoneLabel;
    EditTel: TIWEdit;
    EditComment: TIWEdit;
    IWLabel3: TIWLabel;
    LabelScore: TIWLabel;
    LabelScoreValue: TIWLabel;
    TrackbarScore: TTIWIPhoneTrackbar;
    TIWIPhoneLocationLabel1: TTIWIPhoneLocationLabel;
    IWLabel1: TIWLabel;
    TIWIPhoneButton1: TTIWIPhoneButton;
    SpinnerColor: TTIWIPhoneSpinner;
    SpinnerHeight: TTIWIPhoneSpinner;
    IWLabel6: TIWLabel;
    IWLabel7: TIWLabel;
    IWLabel8: TIWLabel;
    LabelBirthDate: TIWLabel;
    ButtonBirthDate: TTIWIPhoneButton;
    TIWIPhonePopup1: TTIWIPhonePopup;
    TIWIPhonePopup2: TTIWIPhonePopup;
    IWRegion1: TIWRegion;
    SpinnerBirthDate: TTIWIPhoneSpinner;
    procedure IWAppFormCreate(Sender: TObject);
    procedure HeaderModelDetailAsyncRightButtonClick(Sender: TObject;
      EventParams: TStringList);
    procedure ListModelsAsyncItemClick(Sender: TObject;
      EventParams: TStringList; ItemIndex: Integer);
    procedure TIWIPhoneMenu1ItemClick(Sender: TComponent; ItemIndex: Integer);
    procedure ButtonSaveButtonClick(Sender: TObject);
    procedure ListModelsRenderListItem(Sender: TComponent; ItemIndex: Integer;
      var Caption, Notes, Value, Image: string; var Detail: Boolean);
    procedure TIWIPhoneGeolocation1AsyncLocationRetrieved(Sender: TObject;
      EventParams: TStringList; Location: string; Latitude, Longitude: Double);
    procedure TIWIPhoneButton1AsyncButtonClick(Sender: TObject;
      EventParams: TStringList);
    procedure ButtonBirthDateAsyncButtonClick(Sender: TObject;
      EventParams: TStringList);
    procedure HeaderModelDetailAsyncLeftButtonClick(Sender: TObject;
      EventParams: TStringList);
    procedure TIWIPhonePopup2AsyncButtonClick(Sender: TObject;
      EventParams: TStringList; Index: Integer);
  public
    Year, Month, Day: word;
    procedure UpdateModelDetails(ItemIndex: Integer);
  end;

implementation

{$R *.dfm}


procedure TIWForm1.ButtonSaveButtonClick(Sender: TObject);
var
  I: integer;
begin

  if OnOffImages.ButtonState = bsOn then
  begin
   ListModels.ItemAppearance.ShowImage := true;
   ListModels.ItemAppearance.NotesMargins.Left := 35;
  end
  else
  begin
   ListModels.ItemAppearance.ShowImage := false;
   ListModels.ItemAppearance.NotesMargins.Left := 0;
  end;

  for I := 0 to ListModels.Items.Count - 1 do
  begin
    if OnOffDetails.ButtonState = bsOn then
      ListModels.Items[I].Detail := true
    else
      ListModels.Items[I].Detail := false;
  end;

  if OnOffRounded.ButtonState = bsOn then
  begin
    ListModels.ListType := ltSettings;
    ListModels.ItemAppearance.Padding := 0;
  end
  else
  begin
    ListModels.ListType := ltNormal;
    ListModels.ItemAppearance.Padding := 5;
  end;

  //Return to Models List page
  TIWIPhoneMenu1.SelectedIndex := 0;

  RegionSplit.Visible := true;
  RegionModels.Visible := true;
  RegionModelDetail.Visible := true;
  RegionStats.Visible := false;
  RegionSettings.Visible := false;
end;



procedure TIWForm1.HeaderModelDetailAsyncLeftButtonClick(Sender: TObject;
  EventParams: TStringList);
begin
  TIWIPhonePopup2.ShowPopup := true;
  TIWIPhonePopup2.PositionControl := HeaderModelDetail;
  TIWIPhonePopup2.PositionType := ptAtControl;
end;

procedure TIWForm1.HeaderModelDetailAsyncRightButtonClick(Sender: TObject;
  EventParams: TStringList);
var
  address, street, country: string;
  I: Integer;
begin
  address := TIWIPhoneLocationLabel1.Caption;
  street := EmptyStr;
  country := EmptyStr;

  if address <> EmptyStr then
  begin
    i := LastDelimiter(', ', address);
    country := Copy(address, i+1, length(address));
    street := Copy(address, 0, i-2);
  end;

  ListModels.Items[ListModels.SelectedIndex].Data.Clear;
  ListModels.Items[ListModels.SelectedIndex].Data.Add(EditEmail.Text);
  ListModels.Items[ListModels.SelectedIndex].Data.Add(EditTel.Text);
//  ListModels.Items[ListModels.SelectedIndex].Data.Add(EditSMS.Text);
  ListModels.Items[ListModels.SelectedIndex].Data.Add('');

  if country <> EmptyStr then
    ListModels.Items[ListModels.SelectedIndex].Data.Add(country)
  else
    ListModels.Items[ListModels.SelectedIndex].Data.Add(' ');

  ListModels.Items[ListModels.SelectedIndex].Data.Add(EditComment.Text);

  if street <> EmptyStr then
    ListModels.Items[ListModels.SelectedIndex].Data.Add(street)
  else
    ListModels.Items[ListModels.SelectedIndex].Data.Add(' ');

  ListModels.Items[ListModels.SelectedIndex].Data.Add(LabelBirthDate.Text);

  ListModels.Items[ListModels.SelectedIndex].Data.Add(IntToStr(SpinnerColor.Slots[0].SelectedIndex));

  ListModels.Items[ListModels.SelectedIndex].Data.Add(IntToStr(SpinnerHeight.Slots[0].SelectedIndex + 1)
    + IntToStr(SpinnerHeight.Slots[2].SelectedIndex));

  ListModels.Items[ListModels.SelectedIndex].Value := IntToStr(TrackbarScore.ThumbPosition);

  ADOQuery1.SQL.Clear;
  ADOQuery1.SQL.Add('SELECT * FROM [Models] ORDER BY [Name]');
  ADOQuery1.Active := true;

  DataSource1.DataSet.First;
  DataSource1.DataSet.MoveBy(ListModels.SelectedIndex);
  DataSource1.DataSet.Edit;
  DataSource1.DataSet.FieldByName('Email').Value := EditEmail.Text;
  DataSource1.DataSet.FieldByName('Tel').Value := EditTel.Text;
//  DataSource1.DataSet.FieldByName('SMS').Value := EditSMS.Text;
  DataSource1.DataSet.FieldByName('Comment').Value := EditComment.Text;
  DataSource1.DataSet.FieldByName('Score').Value := IntToStr(TrackbarScore.ThumbPosition);
  if country <> EmptyStr then
    DataSource1.DataSet.FieldByName('Country').Value := country;
  if street <> EmptyStr then
    DataSource1.DataSet.FieldByName('Address').Value := street;

  DataSource1.DataSet.FieldByName('Birthdate').Value := LabelBirthDate.Text;
  DataSource1.DataSet.FieldByName('HairColor').Value := SpinnerColor.Slots[0].SelectedIndex;
  DataSource1.DataSet.FieldByName('Height').Value :=
    IntToStr(SpinnerHeight.Slots[0].SelectedIndex + 1) + IntToStr(SpinnerHeight.Slots[2].SelectedIndex);

  DataSource1.DataSet.Post;

  ADOQuery1.SQL.Clear;
  ADOQuery1.SQL.Add('SELECT Count(ID) as CountOfID FROM [Models] WHERE Score <= 0');
  ADOQuery1.Active := true;

  TIWIPhoneMenu1.Items[0].IndicatorCaption := DataSource1.DataSet.FieldByName('CountOfID').Value;
end;

procedure TIWForm1.IWAppFormCreate(Sender: TObject);
var
  I: integer;
  cm: string;
begin

  for I := 0 to 100 - 1 do
  begin
    cm := IntToStr(I);
    if StrLen(pchar(cm)) < 2 then
      cm := '0' + cm;
    SpinnerHeight.Slots[2].Items.Add(cm);
  end;

  DecodeDate(Now, Year, Month, Day);
  SpinnerBirthDate.YearFrom := Year - 40;
  SpinnerBirthDate.YearTo := Year;

  TIWIPhonePopup2.Buttons[3].Appearance.BGColor := clWebPINK;
  TIWIPhonePopup2.Buttons[3].Appearance.BGColorTo := clWebRed;
  TIWIPhonePopup2.Buttons[3].Appearance.BGMirrorColor := clWebRed;
  TIWIPhonePopup2.Buttons[3].Appearance.BGMirrorColorTo := clWebDarkRed;
  TIWIPhonePopup2.Buttons[3].Font.Color := clWebWhite;

  TIWIPhoneStyle1.IconImage := '/Files/tms_icon.png';
  TIWIPhoneStyle1.StartupImage := '/Files/splashtms.png';

  ADOConnection1.ConnectionString :=
    'Provider=Microsoft.Jet.OLEDB.4.0;Password="";Persist Security Info=True;Data Source= ' +
  WebApplication.ApplicationPath + 'data.mdb';

  ADOQuery1.Connection := ADOConnection1;

  ADOQuery1.SQL.Clear;
  ADOQuery1.SQL.Add('SELECT Count(ID) as CountOfID FROM [Models] WHERE Score <= 0');
  ADOQuery1.Active := true;

  DataSource1.DataSet := ADOQuery1;
  DataSource1.DataSet.Active := true;

  TIWIPhoneMenu1.Items.Clear;
  for I := 0 to 3 - 1 do
  begin
    TIWIPhoneMenu1.Items.Add();
  end;

  TIWIPhoneMenu1.Items.Clear;
  for I := 0 to 3 - 1 do
  begin
    TIWIPhoneMenu1.Items.Add();
  end;

  TIWIPhoneMenu1.Items[0].Caption := 'Models';
  TIWIPhoneMenu1.Items[0].Image := '/files/star.png';
  TIWIPhoneMenu1.Items[0].SelectedImage := '/files/star_s.png';

  TIWIPhoneMenu1.Items[0].IndicatorVisible := True;
  //TIWIPhoneMenu1.Items[0].IndicatorCaption := IntToStr(ListModels.Items.Count);
  TIWIPhoneMenu1.Items[0].IndicatorCaption := DataSource1.DataSet.FieldByName('CountOfID').Value;

  TIWIPhoneMenu1.Items[1].Caption := 'Stats';
  TIWIPhoneMenu1.Items[1].Image := '/files/graph.png';
  TIWIPhoneMenu1.Items[1].SelectedImage := '/files/graph_s.png';

  TIWIPhoneMenu1.Items[2].Caption := 'Settings';
  TIWIPhoneMenu1.Items[2].Image := '/files/preferences.png';
  TIWIPhoneMenu1.Items[2].SelectedImage := '/files/preferences_s.png';

  TIWIPhoneMenu1.SelectedIndex := 0;

  ADOQuery1.SQL.Clear;
  ADOQuery1.SQL.Add('SELECT * FROM [Models] ORDER BY [Name]');
  ADOQuery1.Active := true;

  ListModels.Items.Clear;

  DataSource1.DataSet.First;
  while not DataSource1.DataSet.Eof do
  begin
    with ListModels.Items.Add() do
    begin
      //Detail := true;

      if (DataSource1.DataSet.FieldByName('Image').Value <> '') then
        Image := '/files/' + DataSource1.DataSet.FieldByName('Image').Value;

      Caption := DataSource1.DataSet.FieldByName('Name').Value;
      Value := DataSource1.DataSet.FieldByName('Score').Value;
      Notes := DataSource1.DataSet.FieldByName('Country').Value;
      Tag := DataSource1.DataSet.FieldByName('ID').Value;

      Data.Add(DataSource1.DataSet.FieldByName('Email').Value);
      Data.Add(DataSource1.DataSet.FieldByName('Tel').Value);
      Data.Add(DataSource1.DataSet.FieldByName('SMS').Value);
      Data.Add(DataSource1.DataSet.FieldByName('Country').Value);

      if not VarIsNull(DataSource1.DataSet.FieldByName('Comment').Value) then
        Data.Add(DataSource1.DataSet.FieldByName('Comment').Value)
      else
        Data.Add('');

      Data.Add(DataSource1.DataSet.FieldByName('Address').Value);
      Data.Add(DateToStr(DataSource1.DataSet.FieldByName('Birthdate').AsDateTime));
      Data.Add(DataSource1.DataSet.FieldByName('HairColor').Value);
      Data.Add(DataSource1.DataSet.FieldByName('Height').Value);

    end;
    DataSource1.DataSet.Next;
  end;

  ListModels.ItemAppearance.Height := 50;
  ListModels.ItemAppearance.DetailMargins.Top := 10;
  ListModels.ItemAppearance.DetailMargins.Left := 2;
  ListModels.SelectedIndex := 0;
  UpdateModelDetails(ListModels.SelectedIndex);

  LabelBio.Text := 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce vel quam tempus lorem auctor pharetra at sed nisi. Pellentesque a mi quis lectus semper volutpat vitae et turpis. Etiam elementum gravida enim, ut pulvinar quam pellentesque ornare. Etiam sed.';


  for I := 0 to 10 - 1 do
  begin
    LabelBio.Text := LabelBio.Text + #10#13#10#13;
    LabelBio.Text := LabelBio.Text + 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce vel quam tempus lorem auctor pharetra at sed nisi. Pellentesque a mi quis lectus semper volutpat vitae et turpis. Etiam elementum gravida enim, ut pulvinar quam pellentesque ornare. Etiam sed.';
  end;

  RegionStats.Align := alClient;
  RegionStats.Visible := false;
  RegionSettings.Align := alClient;
  RegionSettings.Visible := false;
end;

procedure TIWForm1.UpdateModelDetails(ItemIndex: Integer);
begin
    IWImageFile1.ImageFile.URL := ListModels.Items[ItemIndex].Image;

    LabelName.Text := ListModels.Items[ItemIndex].Caption;
    EditEmail.Text := ListModels.Items[ItemIndex].Data.Strings[0];
    TIWIPhoneEmailLabel1.EmailAddress := EditEmail.Text;
    EditTel.Text := ListModels.Items[ItemIndex].Data.Strings[1];
    TIWIPhonePhoneLabel1.TelephoneNumber := EditTel.Text;
//    EditSMS.Text := ListModels.Items[ItemIndex].Data.Strings[2];
//    TIWIPhoneSMSLabel1.SMSNumber := EditSMS.Text;
    EditComment.Text := ListModels.Items[ItemIndex].Data.Strings[4];
    TIWIPhoneLocationLabel1.Caption := ListModels.Items[ItemIndex].Data.Strings[5]
    + ', ' + ListModels.Items[ItemIndex].Data.Strings[3];

    LabelBirthDate.Text := ListModels.Items[ItemIndex].Data.Strings[6];
    SpinnerBirthDate.Date := StrToDate(LabelBirthDate.Text);

    SpinnerColor.Slots[0].SelectedIndex := StrToInt(ListModels.Items[ItemIndex].Data.Strings[7]);

    SpinnerHeight.Slots[0].SelectedIndex := StrToInt(LeftStr(ListModels.Items[ItemIndex].Data.Strings[8],1)) - 1;
    SpinnerHeight.Slots[2].SelectedIndex := StrToInt(RightStr(ListModels.Items[ItemIndex].Data.Strings[8],2));

    TIWIPhoneLocationLabel1.Location := TIWIPhoneLocationLabel1.Caption;
    TrackbarScore.ThumbPosition := StrToInt(ListModels.Items[ItemIndex].Value);
    LabelScoreValue.Text := IntToStr(TrackbarScore.ThumbPosition);
end;

procedure TIWForm1.ListModelsAsyncItemClick(Sender: TObject;
  EventParams: TStringList; ItemIndex: Integer);
begin
  TIWIPhoneScrollRegion1.ScrollToTop;
  UpdateModelDetails(ItemIndex);
end;

procedure TIWForm1.ListModelsRenderListItem(Sender: TComponent;
  ItemIndex: Integer; var Caption, Notes, Value, Image: string;
  var Detail: Boolean);
begin
  Notes := ListModels.Items[ItemIndex].Data.Strings[3];
  if ListModels.Items[ItemIndex].Data.Strings[4] <> EmptyStr then
    Notes := Notes + ' - ' + ListModels.Items[ItemIndex].Data.Strings[4];
end;

procedure TIWForm1.TIWIPhoneButton1AsyncButtonClick(Sender: TObject;
  EventParams: TStringList);
begin
  TIWIPhoneGeolocation1.RetrieveLocation;
end;

procedure TIWForm1.ButtonBirthDateAsyncButtonClick(Sender: TObject;
  EventParams: TStringList);
begin

  if not TIWIPhonePopup1.ShowPopup then
  begin
    TIWIPhonePopup1.ShowPopup := true;
    TIWIPhonePopup1.PositionType := ptAtControl;
    TIWIPhonePopup1.PositionControl := ButtonBirthDate;
    TIWIPhonePopup1.ArrowPosition := apLeftCenter;
    ButtonBirthDate.Caption := 'Close';
  end
  else
  begin

    LabelBirthDate.Text := DateToStr(
      EncodeDate(StrToInt(SpinnerBirthDate.Slots[2].Items[SpinnerBirthDate.Slots[2].SelectedIndex]),
      StrToInt(SpinnerBirthDate.Slots[1].Items[SpinnerBirthDate.Slots[1].SelectedIndex]),
      StrToInt(SpinnerBirthDate.Slots[0].Items[SpinnerBirthDate.Slots[0].SelectedIndex])));

    TIWIPhonePopup1.ShowPopup := false;
    ButtonBirthDate.Caption := 'Change';
  end;
end;

procedure TIWForm1.TIWIPhoneGeolocation1AsyncLocationRetrieved(Sender: TObject;
  EventParams: TStringList; Location: string; Latitude, Longitude: Double);
begin
  TIWIPhoneLocationLabel1.Location := Location;
  TIWIPhoneLocationLabel1.Caption := Location;
end;

procedure TIWForm1.TIWIPhoneMenu1ItemClick(Sender: TComponent;
  ItemIndex: Integer);
begin
  if (ItemIndex = 0) then
  begin
    RegionSplit.Visible := true;
    RegionModels.Visible := true;
    RegionModelDetail.Visible := true;
    RegionStats.Visible := false;
    RegionSettings.Visible := false;
  end
  else if (ItemIndex = 1) then
  begin

    ListStats.Items.Clear;
    ListStats.ListType := ltSettings;

    with ListStats.Items.Add() do
    begin
      Section := true;
      Caption := 'Countries';
    end;

    ADOQuery1.SQL.Clear;
    ADOQuery1.SQL.Add('SELECT Country, Count(Models.[Country]) AS CountOfCountry FROM Models GROUP BY Models.Country');
    ADOQuery1.Active := true;

    DataSource1.DataSet.First;
    while not DataSource1.DataSet.Eof do
    begin
      with ListStats.Items.Add() do
      begin
        Caption := DataSource1.DataSet.FieldByName('Country').Value;
        Value := DataSource1.DataSet.FieldByName('CountOfCountry').Value;
        Image := '/Files/' + DataSource1.DataSet.FieldByName('Country').Value + '.png';
      end;
      DataSource1.DataSet.Next;
    end;

    with ListStats.Items.Add() do
    begin
      Section := true;
      Caption := 'Scores';
    end;

    ADOQuery1.SQL.Clear;
    ADOQuery1.SQL.Add('SELECT Count(Score) AS CountOfScore FROM Models WHERE (Score = 0)');
    ADOQuery1.Active := true;

    with ListStats.Items.Add() do
    begin
      Caption := 'Not Rated';
      Value := DataSource1.DataSet.FieldByName('CountOfScore').Value;
    end;

    ADOQuery1.SQL.Clear;
    ADOQuery1.SQL.Add('SELECT Count(Score) AS CountOfScore FROM Models WHERE (Score > 0) AND (Score <= 25)');
    ADOQuery1.Active := true;

    with ListStats.Items.Add() do
    begin
      Caption := '1 - 25';
      Value := DataSource1.DataSet.FieldByName('CountOfScore').Value;
    end;

    ADOQuery1.SQL.Clear;
    ADOQuery1.SQL.Add('SELECT Count(Score) AS CountOfScore FROM Models WHERE (Score > 25) AND (Score <= 50)');
    ADOQuery1.Active := true;

    with ListStats.Items.Add() do
    begin
      Caption := '26 - 50';
      Value := DataSource1.DataSet.FieldByName('CountOfScore').Value;
    end;

    ADOQuery1.SQL.Clear;
    ADOQuery1.SQL.Add('SELECT Count(Score) AS CountOfScore FROM Models WHERE (Score > 50) AND (Score <= 75)');
    ADOQuery1.Active := true;

    with ListStats.Items.Add() do
    begin
      Caption := '51 - 75';
      Value := DataSource1.DataSet.FieldByName('CountOfScore').Value;
    end;

    ADOQuery1.SQL.Clear;
    ADOQuery1.SQL.Add('SELECT Count(Score) AS CountOfScore FROM Models WHERE (Score > 75)');
    ADOQuery1.Active := true;

    with ListStats.Items.Add() do
    begin
      Caption := '76 - 100';
      Value := DataSource1.DataSet.FieldByName('CountOfScore').Value;
    end;

    RegionSplit.Visible := false;
    RegionModels.Visible := false;
    RegionModelDetail.Visible := false;
    RegionStats.Visible := true;
    RegionSettings.Visible := false;
  end
  else if (ItemIndex = 2) then
  begin
    RegionSplit.Visible := false;
    RegionModels.Visible := false;
    RegionModelDetail.Visible := false;
    RegionStats.Visible := false;
    RegionSettings.Visible := true;
  end;
end;

procedure TIWForm1.TIWIPhonePopup2AsyncButtonClick(Sender: TObject;
  EventParams: TStringList; Index: Integer);
begin
  WebApplication.ShowMessage(TIWIPhonePopup2.Buttons[Index].Caption  + ' button clicked');
  TIWIPhonePopup2.ShowPopup := false;
end;

initialization
  TIWForm1.SetAsMainForm;

end.
